<?php
/**
 * @package Jakobian
 * @since Jakobian 1.0
 */

/* General */
$this->sections[] = array(
    'icon'      => 'el el-icon-cog',
    'title'     => __('General', 'jakobian'),
    'fields'    => array(
        array(
            'id'    => 'info_success',
            'type'  => 'info',
            'style' => 'success',
            'title' => __('Welcome to Jakobian Theme Option Panel', 'jakobian'),
            'icon'  => 'el el-icon-smiley',
            'desc'  => __( 'From here you can config your theme in the way you like.', 'jakobian')
            ),
        array(
            'id' => 'favicon',
            'type' => 'media',
            'url' => true,
            'title' => __('Favicon', 'jakobian'), 
            'subtitle' => __('Upload your favicon here', 'jakobian'),
            'desc' => __('Should be 16 x 16px Supported formats: .ico .gif .png', 'jakobian'),
            'default'   => ''
            ),

        array(
            'id' => 'apple_touch_icon',
            'type' => 'media',
            'url' => true,
            'title' => __('Apple Touch Icon', 'jakobian'), 
            'subtitle' => __('Upload icon for the Apple touch', 'jakobian'),
            'desc' => __('Size: 57 x 57px Supported formats: .ico .gif .png', 'jakobian'),
            'default'   => ''
            ),

        array(
            'id'        => 'scroll_to_top',
            'type'      => 'switch',
            'title'     => __('Scroll to top button', 'jakobian'),
            'subtitle'  => __('Check if you want to disable scroll to top button', 'jakobian'),
            'default'   => true
            ),
    )
);

/* Header */
$this->sections[] = array(
    'icon'      => 'el el-icon-user',
    'title'     => __('Header', 'jakobian'),
    'desc'      => __('These are options to modify and style your header area', 'jakobian'),
    'fields'    => array(
        array(
            'id'        => 'logo',
            'type'      => 'media',
            'url'       => true,
            'title'     => __('Logo', 'jakobian'),
            'subtitle'  => __('Upload your logo image here, or leave empty to show website title instead', 'jakobian'),
            'desc'      => __('Note: Allowed extensions are .jpg, .png and .gif', 'jakobian'),
            'default'   => ''
            ),
        array(
            'id'        =>'logo_width',
            'type'      => 'slider',       
            'title'     => __('Logo Width', 'jakobian'), 
            'subtitle'  => __('Specify your logo width.', 'jakobian'),
            'validate'  => 'numeric',
            "min"       => "50",
            "step"      => "1",
            "max"       => "300",
            'default'   => "91"          
            ),
        array(
            'id'        =>'logo_height',
            'type'      => 'slider',       
            'title'     => __('Logo Height', 'jakobian'), 
            'subtitle'  => __('Specify your logo height.', 'jakobian'),
            'validate'  => 'numeric',
            "min"       => "10",
            "step"      => "1",
            "max"       => "300",
            'default'   => "24"          
            ),    
        array(
            'id'        => 'header_description',
            'type'      => 'switch',
            'title'     => __('Display site description', 'jakobian'),
            'subtitle'  => __('Check if you want to display site description.', 'jakobian'),
            'desc'      => sprintf(__('Note: It will apply only if You remove logo image. You can change your site description inside <a href="%s">Settings / General</a>', 'jakobian'), admin_url('options-general.php')),
            'default'   => false,
            ),
        array(
            'id'        => 'top_header_style_section',
            'icon'      => true,
            'type'      => 'info',
            'style'     => 'info',
            'raw'       => __('<h4 style="margin: 3px;">Top Header </h4>','jakobian' ),
            ),
        array(
            'id'        => 'hide_top_header',
            'type'      => 'switch',
            'title'     => __('Show Top Header Area', 'jakobian'),
            'subtitle'  => __('Check if you want to remove top bar.', 'jakobian'),
            'default'   => true,
            ),
        array(
            'id'        => 'contact_header_section',
            'icon'      => true,
            'type'      => 'info',
            'style'     => 'info',
            'required'  => array('hide_top_header', '=', true),
            'raw'       => __('<h4 style="margin: 3px;">Contact Header</h4>', 'jakobian'),
            ),
        array(
            'id'        => 'header_contacts',
            'type'      => 'switch',
            'title'     => __('Show Contact Header', 'jakobian'),
            'subtitle'  => __('Check if you want to remove top bar content area.', 'jakobian'),
            'required'  => array('hide_top_header', '=', true),
            'default'   => true,
            ),             
        array(
            'id'        =>'phone_text',
            'type'      => 'text',      
            'title'     => __('Phone Number', 'jakobian'), 
            'subtitle'  => __('Insert phone number here.', 'jakobian'),
            'desc'      => __('Leave it empty to hide it.', 'jakobian'),
            'required'  => array('header_contacts', '=', true),
            'default'   => "1-800-987-654"          
            ),
        array(
            'id'        =>'email_text',
            'type'      => 'text',      
            'title'     => __('Email Address', 'jakobian'), 
            'subtitle'  => __('Insert email address here.', 'jakobian'),
            'desc'      => __('Leave it empty to hide it.', 'jakobian'),
            'default'   => "yourname@youremail.com",
            'required' => array('header_contacts', '=', true),
            'validate'  => 'email'
            ),
        array(
            'id'        =>'custom_url',
            'type'      => 'text',      
            'title'     => __('Custom Header Link', 'jakobian'), 
            'subtitle'  => __('Insert your custom link here.', 'jakobian'),
            'desc'      => __('Leave it empty to hide it.', 'jakobian'),
            'required'  => array('header_contacts', '=', true),
            'default'   => '#'
            ),
        array(
            'id'        =>'custom_url_text',
            'type'      => 'text',      
            'title'     => __('Custom Header Link text', 'jakobian'), 
            'subtitle'  => __('Insert your custom link text here.', 'jakobian'),
            'required'  => array('header_contacts', '=', true),
            'default'   => 'custom link'
            ),
        array(
            'id'        => 'color_header_bg',
            'type'      => 'color',
            'title'     => __('Background color', 'jakobian'),
            'subtitle'  => __('Specify header background color', 'jakobian'),
            'transparent' => false,
            'required'  => array('header_contacts', '=', true),
            'default'   => '#f3f3f3'
            ),                                                                       
        array(
            'id'        => 'a_color_header_txt',
            'type'      => 'color',
            'title'     => __('Header Links color', 'jakobian'),
            'subtitle'  => __('Change the top header links color.', 'jakobian'),
            'transparent' => false,
            'required'  => array('header_contacts', '=', true),
            'default'   => '#555'
            ),
        array(
            'id'        => 'a_color_header_hov',
            'type'      => 'color',
            'title'     => __('Left links hover color', 'jakobian'),
            'subtitle'  => __('Change the top header links hover color.', 'jakobian'),
            'transparent' => false,
            'required'  => array('header_contacts', '=', true),
            'default'   => '#09558c'
            ),
        array(
            'id'        => 'social_text_section',
            'icon'      => true,
            'type'      => 'info',
            'style'     => 'info',
            'required'  => array('header_socials', '=', true),
            'raw'       => __('<h4 style="margin: 3px;">Social Header</h4>','jakobian'),
            ),
        array(
            'id'        => 'header_socials',
            'type'      => 'switch',
            'title'     => __('Show Social Header', 'jakobian'),
            'subtitle'  => __('Check if you want to remove header social icons. If you leave any social media field empty, the particular icon will not be shown.', 'jakobian'),
            'required'  => array('hide_top_header', '=', true),
            'default'   => true,
            ),

        array(
            'id'        =>'facebook',
            'type'      => 'text',      
            'title'     => __('Facebook', 'jakobian'), 
            'subtitle'  => __('Insert your Facebook fanpage here.', 'jakobian'),
            'desc'      => "",
            'required'  => array('header_socials', '=', true),
            'default'   => "#"
            ),
        array(
            'id'        =>'twitter',
            'type'      => 'text',      
            'title'     => __('Twitter', 'jakobian'), 
            'subtitle'  => __('Insert your Twitter URL here.', 'jakobian'),
            'desc'      => "",
            'required'  => array('header_socials', '=', true),
            'default'   => "#"
            ),
        array(
            'id'        =>'dribbble',
            'type'      => 'text',      
            'title'     => __('Dribbble', 'jakobian'), 
            'subtitle'  => __('Insert your Dribbble URL here.', 'jakobian'),
            'desc'      => "",
            'required'  => array('header_socials', '=', true),
            'default'   => "#"
            ),  
        array(
            'id'        =>'google_plus',
            'type'      => 'text',      
            'title'     => __('Google Plus', 'jakobian'), 
            'subtitle'  => __('Insert your Google Plus URL here.', 'jakobian'),
            'desc'      => "",
            'required'  => array('header_socials', '=', true),
            'default'   => "#"
            ),
        array(
            'id'        =>'pinterest',
            'type'      => 'text',      
            'title'     => __('Pinterest', 'jakobian'), 
            'subtitle'  => __('Insert your Pinterest URL here.', 'jakobian'),
            'desc'      => "",
            'required'  => array('header_socials', '=', true),
            'default'   => "#"
            ),
        array(
            'id'        =>'flickr',
            'type'      => 'text',      
            'title'     => __('Flickr', 'jakobian'), 
            'subtitle'  => __('Insert your Flickr URL here.', 'jakobian'),
            'desc'      => "",
            'required'  => array('header_socials', '=', true),
            'default'   => "#"
            ),
         array(
            'id'        =>'instagram',
            'type'      => 'text',      
            'title'     => __('Instagram', 'jakobian'), 
            'subtitle'  => __('Insert your Instagram URL here.', 'jakobian'),
            'desc'      => "",
            'required'  => array('header_socials', '=', true),
            'default'   => "#"
            ),
         array(
            'id'        =>'vimeo',
            'type'      => 'text',      
            'title'     => __('Vimeo', 'jakobian'), 
            'subtitle'  => __('Insert your Vimeo URL here.', 'jakobian'),
            'desc'      => "",
            'required'  => array('header_socials', '=', true),
            'default'   => "#"
            ),
         array(
            'id'        =>'rss',
            'type'      => 'text',      
            'title'     => __('Rss', 'jakobian'), 
            'subtitle'  => __('Insert your Rss URL here.', 'jakobian'),
            'desc'      => "",
            'required'  => array('header_socials', '=', true),
            'default'   => "#"
            ),                                                    
        array(
            'id'        =>'linkedin',
            'type'      => 'text',      
            'title'     => __('Linkedin', 'jakobian'), 
            'subtitle'  => __('Insert your Linkedin URL here.', 'jakobian'),
            'desc'      => "",
            'required'  => array('header_socials', '=', true),
            'default'   => "#"
            ),

        array(
            'id'        => 'nav_text_section',
            'icon'      => true,
            'type'      => 'info',
            'style'     => 'info',
            'raw'       => __('<h4 style="margin: 3px;">Navigation Menu</h4>','jakobian'),
            ),
        array(
            'id'        => 'sticky_header',
            'type'      => 'switch',
            'title'     => __('Sticky Menu', 'jakobian'),
            'subtitle'  => __('Check if you want to disable sticky navigation.', 'jakobian'),
            'default'   => true,
            ),
        array(
            'id'        => 'color_nav_bg',
            'type'      => 'color',
            'title'     => __('Background color', 'jakobian'),
            'subtitle'  => __('Specify menu background color', 'jakobian'),
            'transparent' => false,
            'default'   => '#09558c'
            ), 
        array(
            'id'        => 'color_nav_a',
            'type'      => 'color',
            'title'     => __('Link color', 'jakobian'),
            'subtitle'  => __('Specify menu link color', 'jakobian'),
            'transparent' => false,
            'default'   => '#fff'
            ), 
        array(
            'id'        => 'navbar_search',
            'type'      => 'switch',
            'title'     => __('Show Menu Search', 'jakobian'),
            'subtitle'  => __('Check if you want to disable search from nav menu.', 'jakobian'),
            'default'   => true,
            ), 
        array(
            'id'        => 'enable_secondary_menu',
            'type'      => 'switch',
            'title'     => __('Enable Secondary Menu', 'jakobian'),
            'subtitle'  => __('Check if you want to show secondary menu below the logo/site title', 'jakobian'),
            'desc'  => sprintf(__('Note: you need to set the secondary menu inside <a href="%s">Apperance / Menu</a>', 'jakobian'),admin_url('nav-menus.php')),
            'default'   => true,
            ),
        array(
            'id'        => 'secondary_on_mobile',
            'type'      => 'switch',
            'title'     => __('Show Secondary Menu on Mobile', 'jakobian'),
            'subtitle'  => __('', 'jakobian'),
            'default'   => true,
             'required'  => array('enable_secondary_menu', '=', true)
            )
       
                                
        )
);

/* Body */
$this->sections[] = array(
    'icon'      => 'el el-icon-screen',
    'title'     => __('Body', 'jakobian'),
    'desc'      => __('These are options to modify and style your body area', 'jakobian'),
    'fields'    => array(
        array(
            'id'        => 'sub_header_style_section',
            'icon'      => true,
            'type'      => 'info',
            'style'     => 'info',
            'raw'       => __('<h4 style="margin: 3px;">Page Title Area</h4>','jakobian'),
            ),
        array(
            'id'        => 'hide_sub_header',
            'type'      => 'switch',
            'title'     => __('Show page title Area', 'jakobian'),
            'subtitle'  => __('Check if you want to remove the page title area including breadcrumbs.', 'jakobian'),
            'desc'      => __('Note: You can hide breadcrumbs separately.', 'jakobian'),
            'default'   => true,
            ),
        array(
            'id'        => 'sub_header_bg_img',
            'type'      => 'media',
            'url'       => true,
            'title'     => __('Custom background', 'jakobian'),
            'subtitle'  => __('Choose background image for page title area.', 'jakobian'),
            'default'   => '',
            'required'  => array('hide_sub_header', '=', true),
            ),                          
        array(
            'id'        => 'sub_header_bg_color',
            'type'      => 'color',
            'title'     => __('Background color', 'jakobian'),
            'subtitle'  => __('If there is no Background image, specify the sub header background color', 'jakobian'),
            'transparent' => false,
            'desc'      => __('The default value is #3a394d.', 'jakobian'),
            'required'  => array('hide_sub_header', '=', true),
            'default'   => '#09558c'
            ),
        array(
            'id'        => 'color_sub_header_txt',
            'type'      => 'color',
            'title'     => __('Text Color', 'jakobian'),
            'subtitle'  => __('Change the default text color.', 'jakobian'),
            'desc'      => __('Note: this will be applied on breadcrumbs text color too.', 'jakobian'),
            'transparent' => false,
            'required'  => array('hide_sub_header', '=', true),
            'default'   => '#fff'
            ),
        array(
            'id'        => 'breadcrumb_section',
            'icon'      => true,
            'type'      => 'info',
            'style'     => 'info',
            'raw'       => __('<h4 style="margin: 3px;">Breadcrumbs</h4>','jakobian'),
            ),
        array(
            'id'        => 'hide_page_title',
            'type'      => 'switch',
            'title'     => __('Show Page title ', 'jakobian'),
            'subtitle'  => __('Check if you want to page title from the sup header', 'jakobian'),
            'required'  => array('hide_sub_header', '=', true),
            'default'   => true
            ),  
        array(
            'id'        => 'hide_breadcrumb',
            'type'      => 'switch',
            'title'     => __('Show Breadcrumb ', 'jakobian'),
            'subtitle'  => __('Check if you want to remove breadcrumb from pages', 'jakobian'),
            'required'  => array('hide_sub_header', '=', true),
            'default'   => true
            ),        
        array(
            'id'        => 'color_breadcrumbs_txt_a',
            'type'      => 'color',
            'title'     => __('Breadcrumbs Link Color', 'jakobian'),
            'subtitle'  => __('Change the default breadcrumbs link color.', 'jakobian'),
            'transparent' => false,
            'required'  => array('hide_breadcrumb', '=', true),
            'default'   => '#bab8cc'
            ),
        array(
            'id'        => 'color_breadcrumbs_txt_a_hover',
            'type'      => 'color',
            'title'     => __('Breadcrumbs Link Hover Color', 'jakobian'),
            'subtitle'  => __('Change the default breadcrumbs link hover color.', 'jakobian'),
            'transparent' => false,
            'required'  => array('hide_breadcrumb', '=', true),
            'default'   => '#d5d4e0'
            ),
        array(
            'id'        => 'body_style_section',
            'icon'      => true,
            'type'      => 'info',
            'style'     => 'info',
            'raw'       => __('<h4 style="margin: 3px;">Body Area</h4>', 'jakobian'),
            ), 
        array(
            'id'        => 'comments_on_pages',
            'type'      => 'switch',
            'title'     => __('Comments on pages', 'jakobian'),
            'subtitle'  => __('turn off comments on pages', 'jakobian'),
            'default'   => true
            ),                    
        array(
            'id'        => 'body_bg_img',
            'type'      => 'media',
            'url'       => true,
            'title'     => __('Body background Image', 'jakobian'),
            'subtitle'  => __('Choose body background pattern or image.', 'jakobian'),
            'default'   => array('url' => ''),
            ),
        array(
            'id'        => 'body_bg_style',
            'type'      => 'background',
            'background-image' => false,
            'title'     => __( 'Background Style', 'jakobian' ), 
            'subtitle'  => __( 'Select your body background style.', 'jakobian' ),
            'transparent' => false,
            'preview' => false,
            'default'  => array(
                'background-color' => '#f9f9f9')
            ),
        array(
            'id' => 'color_a_text',
            'type' => 'color',
            'title' => __('a link color', 'jakobian'),
            'subtitle' => __('Color for all links', 'jakobian'),
            'transparent' => false,
            'default' => '#09558c'
            ),         
        array(
            'id' => 'color_a_hov',
            'type' => 'color',
            'title' => __('a link color hover', 'jakobian'),
            'subtitle' => __('Hover color for all links', 'jakobian'),
            'transparent' => false,
            'default' => '#2c83c1'
            ),
        array(
        'id' => 'main_color',
        'type' => 'color',
        'title' => __('Main Accent Color', 'jakobian'),
        'subtitle' => __('Color for buttons etc. <em>Tip: use a darker color', 'jakobian'),
        'transparent' => false,
        'default' => '#09558c'
        )
    )
);

/* Content */
$this->sections[] = array(
    'icon'      => 'el el-icon-blogger',
    'title'     => __('Blog', 'jakobian'),
    'desc'     => __('These are options to modify and style your main content area only', 'jakobian'),
    'fields'    => array(
        array(
            'id'=>'content_or_excerpt',
            'type' => 'switch',
            'title' => __('Show Excerpt', 'jakobian'),
            'subtitle'  => __('Check if you want to show excerpt instead of full content on homepage, category and archive pages', 'jakobian'),
            'default' => true

            ),
        array(
            'id'        =>'excerpt_length_count',
            'type'      => 'slider',       
            'title'     => __('Excerpt Length Limits', 'jakobian'), 
            'subtitle'  => __('Enter the number of excerpt length limit to display.', 'jakobian'),
            'validate'  => 'numeric',
            "min"       => "5",
            "step"      => "5",
            "max"       => "180",
            'default'   => "100",
            'required'  => array('content_or_excerpt', '=', true)         
            ), 
        array(
            'id'        => 'post_navigation',
            'type'      => 'switch',
            'title'     => __('Show post navigation', 'jakobian'),
            'subtitle'  => __('Check if you want to remove post navigation on single post', 'jakobian'),
            'default'   => true,
            ),
        array(
            'id'        => 'post_content_style_section',
            'icon'      => true,
            'type'      => 'info',
            'style'     => 'info',
            'raw'       => __('<h4 style="margin: 3px;">Single Post style</h4>','jakobian'),
            ),                                                      
        array(
            'id' => 'color_content_bg',
            'type' => 'color',
            'title' => __('Background color', 'jakobian'),
            'subtitle' => __('Specify content area background color', 'jakobian'),
            'transparent' => false,
            'default' => '#fff',
            ),
        array(
            'id' => 'color_content_txt_h',
            'type' => 'color',
            'title' => __('Post title color', 'jakobian'),
            'subtitle' => __('This color will apply to post title heading, which is (H2) by default.', 'jakobian'),
            'transparent' => false,
            'default' => '#222'
            ),       
        array(
            'id' => 'color_content_txt',
            'type' => 'color',
            'title' => __('Content text color', 'jakobian'),
            'subtitle' => __('This color will apply to text color in the content area only', 'jakobian'),
            'transparent' => false,
            'default' => '#222'
            ),
        array(
            'id' => 'color_content_meta',
            'type' => 'color',
            'title' => __('Meta text color', 'jakobian'),
            'subtitle' => __('This color will apply to your meta data (secondary text)', 'jakobian'),
            'transparent' => false,
            'default' => '#7a7a7a'
            ),

        array(
            'id'        => 'author_content_style_section',
            'icon'      => true,
            'type'      => 'info',
            'style'     => 'info',
            'raw'       => __('<h4 style="margin: 3px;">Author Box</h4>', 'jakobian'),
            ),
        array(
            'id'        => 'blog_author_bio',
            'type'      => 'switch',
            'title'     => __('Enable author Bio', 'jakobian'),
            'subtitle'  => __('Enable / Disable author box', 'jakobian'),
            'default'   => true,
            ),  
        array(
            'id' => 'author_bg_color',
            'type' => 'color',
            'title' => __('Background color', 'jakobian'),
            'subtitle' => __('Specify content area background color', 'jakobian'),
            'transparent' => false,
            'required'  => array('blog_author_bio', '=', true),
            'default' => '#efefef',
            ),
        array(
            'id' => 'author_txt_color',
            'type' => 'color',
            'title' => __('Content text color', 'jakobian'),
            'subtitle' => __('This color will apply to text color in the content area only', 'jakobian'),
            'transparent' => false,
            'required'  => array('blog_author_bio', '=', true),
            'default' => '#333'
            ),      
        array(
            'id'        => 'author_socials',
            'type'      => 'switch',
            'title'     => __('Author Social Share', 'jakobian'),
            'subtitle'  => __('Check if you want to remove social share from author box', 'jakobian'),
            'required'  => array('blog_author_bio', '=', true),
            'default'   => true,
            ),
        array(
            'id'        =>'author_socials_text',
            'type'      => 'text',      
            'title'     => __('Author Social Text', 'jakobian'), 
            'subtitle'  => __('Change post social text here.', 'jakobian'),
            'required'  => array('author_socials', '=', true),
            'desc'      => 'Leave it empty to hide it.',
            'default'   => "Follow me"          
            ), 
        array(
            'id'        =>'author_facebook',
            'type'      => 'text',      
            'title'     => __('Facebook', 'jakobian'), 
            'subtitle'  => __('Insert your Facebook fanpage here.', 'jakobian'),
            'desc'      => 'Leave it empty to hide it.',
            'required'  => array('author_socials', '=', true),
            'default'   => "#"
            ),
        array(
            'id'        =>'author_twitter',
            'type'      => 'text',      
            'title'     => __('Twitter', 'jakobian'), 
            'subtitle'  => __('Insert your Twitter URL here.', 'jakobian'),
            'desc'      => 'Leave it empty to hide it.',
            'required'  => array('author_socials', '=', true),
            'default'   => "#"
            ),
        array(
            'id'        =>'author_linkedin',
            'type'      => 'text',      
            'title'     => __('Linkedin', 'jakobian'), 
            'subtitle'  => __('Insert your Linkedin URL here.', 'jakobian'),
            'desc'      => 'Leave it empty to hide it.',
            'required'  => array('author_socials', '=', true),
            'default'   => "#"
            ),  
        array(
            'id'        =>'author_google_plus',
            'type'      => 'text',      
            'title'     => __('Google Plus', 'jakobian'), 
            'subtitle'  => __('Insert your Google Plus URL here.', 'jakobian'),
            'desc'      => 'Leave it empty to hide it.',
            'required'  => array('author_socials', '=', true),
            'default'   => "#"
            ),
    )
);

/* Sidebar */
$this->sections[] = array(
    'icon'      => 'el el-icon-lines',
    'title'     => __('Sidebar', 'jakobian'),
    'desc'      => __('These are global styling settings for the sidebar area', 'jakobian'),
    'fields'    => array(
        array(
            'id' => 'color_sidebar_bg',
            'type' => 'color',
            'title' => __('Background color', 'jakobian'),
            'subtitle' => __('Specify sidebar background color', 'jakobian'),
            'transparent' => false,
            'default' => '#fff',
            ),
        array(
            'id' => 'color_sidebar_txt_h',
            'type' => 'color',
            'title' => __('Sidebar titles color', 'jakobian'),
            'subtitle' => __('This color will apply to your sidebar titles.', 'jakobian'),
            'transparent' => false,
            'default' => '#222'
            ),
        array(
            'id' => 'color_sidebar_txt',
            'type' => 'color',
            'title' => __('a links color', 'jakobian'),
            'subtitle' => __('This color will apply to sidebar links.', 'jakobian'),
            'transparent' => false,
            'default' => '#09558c'
            ),       
        array(
            'id' => 'color_sidebar_txt_hov',
            'type' => 'color',
            'title' => __('a links color hover', 'jakobian'),
            'subtitle' => __('This color will apply to sidebar links hover.', 'jakobian'),
            'transparent' => false,
            'default' => '#2c83c1'
            ),
    )
);

/* Footer */
$this->sections[] = array(
    'icon'      => 'el el-icon-bookmark',
    'title'     => __('Footer', 'jakobian'),
    'desc'      => __('Manage settings for footer area', 'jakobian'),
    'fields'    => array(

         array(
            'id'        => 'footer_display',
            'type'      => 'switch',
            'switch'    => true,
            'title'     => __('Enable Footer Widgets', 'jakobian'),
            'subtitle'  => __('Check if you want to disable footer widgets area.', 'jakobian'),
            'default'   => true
            ),
        array(
            'id'        => 'footer_col',
            'type'      => 'image_select',
            'compiler'  => true,
            'title'     => __('Footer Widget Columns', 'jakobian'),
            'subtitle'  => __('Choose columns you want for your footer widgets.', 'jakobian'),
            'desc'      => sprintf(__('You can manage footer area content in <a href="%s">Apperance / Widgets</a> settings.', 'jakobian'),admin_url('widgets.php')),
            'options'   => array(
                '1' => array('alt' => '1 Column ', 'img' => JAKOBIAN_IMG_URI . '/1column.png'),
                '2' => array('alt' => '2 Column ', 'img' => JAKOBIAN_IMG_URI . '/2columns.png'),
                '3' => array('alt' => '3 Column ', 'img' => JAKOBIAN_IMG_URI . '/3columns.png'),
                '4' => array('alt' => '4 Column ', 'img' => JAKOBIAN_IMG_URI . '/4columns.png')
                ),
            'required'  => array('footer_display', '=', true),
            'default'   => '4',
            
            ),
        array(
            'id'        => 'color_footer_bg',
            'type'      => 'color',
            'title'     => __('Background color', 'jakobian'),
            'subtitle'  => __('Specify the footer background color', 'jakobian'),
            'transparent' => false,
            'required' => array('footer_display', '=', true),
            'default'   => '#222',
            ),
        array(
            'id'        => 'color_footer_txt_h',
            'type'      => 'color',
            'title'     => __('Footer titles color', 'jakobian'),
            'subtitle'  => __('This color will apply to your footer titles.', 'jakobian'),
            'transparent' => false,
            'required' => array('footer_display', '=', true),
            'default'   => '#fff'
            ),
        array(
            'id'        => 'color_footer_txt',
            'type'      => 'color',
            'title'     => __('Footer Text color', 'jakobian'),
            'subtitle'  => __('This color will apply to footer text.', 'jakobian'),
            'transparent' => false,
            'required' => array('footer_display', '=', true),
            'default'   => '#bbb'
            ),      
        array(
            'id'        => 'color_footer_txt_a',
            'type'      => 'color',
            'title'     => __('Footer a links color', 'jakobian'),
            'subtitle'  => __('This color will apply to footer links.', 'jakobian'),
            'transparent' => false,
            'required' => array('footer_display', '=', true),
            'default'   => '#bab8cc'
            ),       
        array(
            'id'        => 'color_footer_txt_hov',
            'type'      => 'color',
            'title'     => __('Footer a links color hover', 'jakobian'),
            'subtitle'  => __('This color will apply to footer links hover.', 'jakobian'),
            'transparent' => false,
            'required'  => array('footer_display', '=', true),
            'default'   => '#d5d4e0'
            ),
         array(
            'id'        => 'enable_footer_social',
            'type'      => 'switch',
            'title'     => __('Enable Footer Socials', 'jakobian'),
            'subtitle'  => __('Check if you want to hide footer socials bar','jakobian'),
            'default'   => true
            ),
        array(
            'id'        =>'footer_socials_text',
            'type'      => 'text',      
            'title'     => __('Footer Social Text', 'jakobian'), 
            'subtitle'  => __('Change post social text here.', 'jakobian'),
            'required'  => array('footer_display', '=', true),
            'default'   => "Follow us: "          
            ),
         array(
            'id'        => 'enable_copyright',
            'type'      => 'switch',
            'title'     => __('Enable Copyright', 'jakobian'),
            'subtitle'  => __('Check if you want to include copyright area below footer','jakobian'),
            'default'   => true
            ),
         array(
            'id'        => 'enable_footer_menu',
            'type'      => 'switch',
            'title'     => __('Enable Footer Menu', 'jakobian'),
            'subtitle'  => __('Check if you want to show footer menu inside copyright area', 'jakobian'),
            'desc'  => sprintf(__('Note: you need to set footer menu inside <a href="%s">Apperance / Menu</a>', 'jakobian'), admin_url('nav-menus.php')),
            'default'   => true,
            )

    )
);

/* Typography */
$this->sections[] = array(
    'icon'      => 'el el-icon-font',
    'title'     => __('Typography', 'jakobian'),
    'desc'     => __('Manage fonts and typography settings', 'jakobian'),
    'fields'    => array(

        array(
            'id'          => 'main_font',
            'type'        => 'typography', 
            'title'       => __('Main text font', 'jakobian'),
            'google'      => true, 
            'compiler'    => true,
            'font-backup' => false,
            'font-size'   => true,
            'color'       => true,
            'subsets'     => false,
            'line-height' => false,
            'text-align'  => false,
            'units'       =>'px',
            'subtitle'    => __('Typography option with each property can be called individually.', 'jakobian'),
            'default'     => array(
                'google'        => true,
                'font-weight'   => '400', 
                'font-family'   => 'Open Sans',
                'font-size'     => '',
                'color'     => '',
                ),
            'preview' => array(
                'always_display'=> true,
                'font-size'     => '14px',
                'text'          => 'We think that readibility is very important part of any WordPress theme. This is actually a rough example of how simple paragpraph of text will look like on your website so you have a simple preview here.'
                )
            ),

        array(
            'id'        => 'Heading_section',
            'icon'      => true,
            'type'      => 'info',
            'style'     => 'info',
            'raw'       => __('<h4 style="margin: 3px;">Heading Style</h4>','jakobian'),
            ),
        array(
            'id'          => 'h1_font',
            'type'        => 'typography', 
            'title'       => __('H1 font', 'jakobian'),
            'google'      => true, 
            'font-backup' => false,
            'font-size'   => true,
            'color'       => false,
            'line-height' => false,
            'text-align'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'subtitle'    => __('Specify the H1 tag font properties.', 'jakobian'),
            'default'     => array(
                'google'      => true,
                'font-weight'  => '300',
                'font-family' => 'Open Sans',
                'font-size' => '',
                ),
            'preview' => array(
                'always_display' => true,
                'font-size' => '36px',
                'text' => 'There is no good blog without great readability'
                )

            ),
        array(
            'id'          => 'h2_font',
            'type'        => 'typography', 
            'title'       => __('H2 font', 'jakobian'),
            'google'      => true, 
            'font-backup' => false,
            'font-size'   => true,
            'color'       => false,
            'line-height' => false,
            'text-align'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'subtitle'    => __('Specify the H2 tag font properties.', 'jakobian'),
            'default'     => array(
                'google'      => true,
                'font-weight'  => '300',
                'font-family' => 'Open Sans',
                'font-size' => '',
                ),
            'preview' => array(
                'always_display' => true,
                'font-size' => '30px',
                'text' => 'There is no good blog without great readability'
                )

            ),
        array(
            'id'          => 'h3_font',
            'type'        => 'typography', 
            'title'       => __('H3 font', 'jakobian'),
            'google'      => true, 
            'font-backup' => false,
            'font-size'   => true,
            'color'       => false,
            'line-height' => false,
            'text-align'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'subtitle'    => __('Specify the H3 tag font properties.', 'jakobian'),
            'default'     => array(
                'google'      => true,
                'font-weight'  => '300',
                'font-family' => 'Open Sans',
                'font-size' => '',
                ),
            'preview' => array(
                'always_display' => true,
                'font-size' => '24px',
                'text' => 'There is no good blog without great readability'
                )

            ),
        array(
            'id'          => 'h4_font',
            'type'        => 'typography', 
            'title'       => __('H4 font', 'jakobian'),
            'google'      => true, 
            'font-backup' => false,
            'font-size'   => true,
            'color'       => false,
            'line-height' => false,
            'text-align'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'subtitle'    => __('Specify the H4 tag font properties.', 'jakobian'),
            'default'     => array(
                'google'      => true,
                'font-weight'  => '300',
                'font-family' => 'Open Sans',
                'font-size' => '',
                ),
            'preview' => array(
                'always_display' => true,
                'font-size' => '18px',
                'text' => 'There is no good blog without great readability'
                )

            ),
        array(
            'id'          => 'h5_font',
            'type'        => 'typography', 
            'title'       => __('H5 font', 'jakobian'),
            'google'      => true, 
            'font-backup' => false,
            'font-size'   => true,
            'color'       => false,
            'line-height' => false,
            'text-align'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'subtitle'    => __('Specify the H5 tag font properties.', 'jakobian'),
            'default'     => array(
                'google'      => true,
                'font-weight'  => '300',
                'font-family' => 'Open Sans',
                'font-size' => '',
                ),
            'preview' => array(
                'always_display' => true,
                'font-size' => '14px',
                'text' => 'There is no good blog without great readability'
                )

            ),
        array(
            'id'          => 'h6_font',
            'type'        => 'typography', 
            'title'       => __('H6 font', 'jakobian'),
            'google'      => true, 
            'font-backup' => false,
            'font-size'   => true,
            'color'       => false,
            'line-height' => false,
            'text-align'  => false,
            'subsets'     => false,
            'units'       =>'px',
            'subtitle'    => __('Specify the H6 tag font properties.', 'jakobian'),
            'default'     => array(
                'google'      => true,
                'font-weight'  => '300',
                'font-family' => 'Open Sans',
                'font-size' => '',
                ),
            'preview' => array(
                'always_display' => true,
                'font-size' => '12px',
                'text' => 'There is no good blog without great readability'
                )

            ),
        array(
            'id'            => 'nav_font',
            'type'          => 'typography', 
            'title'         => __('Navigation font', 'jakobian'),
            'google'        => true, 
            'compiler'      => true,
            'font-backup'   => false,
            'font-size'     => true,
            'color'         => false,
            'line-height'   => false,
            'text-align'    => false,
            'subsets'       => false,
            'units'         =>'px',
            'subtitle'      => __('Typography option with each property can be called individually.', 'jakobian'),
            'default'       => array(
                'google'        => true,
                'font-weight'   => '', 
                'font-family'   => 'Open Sans',
                'font-size' => '',
                ),

            'preview' => array(
                'always_display' => true,
                'font-size'      => '14px',
                'text'           => 'Home &nbsp;&nbsp;About &nbsp;&nbsp;Blog &nbsp;&nbsp;Contact'
                )

            ),                
    )
);

/* Advanced options */
$this->sections[] = array(
    'icon' => 'el el-icon-cogs',
    'icon_class' => 'el el-icon-large',
    'title' => __('Advanced Options', 'jakobian'),
    'desc'     => __('Advanced options for avanced users here', 'jakobian'),
    'fields' => array(
        array(
            'id'        => 'additional_codes',
            'icon'      => true,
            'type'      => 'info',
            'style'     => 'info',
            'raw'       => __('<h4 style="margin: 3px;">Custom Codes</h4>', 'jakobian'),
            ),
        array(
            'id'       => 'custom_css',
            'type'     => 'ace_editor',
            'title'    => __('Additional CSS', 'jakobian'),
            'subtitle' => __('Use this field to write or paste CSS code and modify default theme styling', 'jakobian'),
            'mode'     => 'css',
            'theme'    => 'monokai',
            'default' => ".example {\nmargin: 0 auto;\n}"
            ),
        array(
            'id'       => 'custom_js',
            'type'     => 'ace_editor',
            'title'    => __('Additional JavaScript', 'jakobian'),
            'subtitle' => __('Use this field to write or paste additional JavaScript code to this theme', 'jakobian'),
            'mode'     => 'javascript',
            'theme'    => 'chrome',
            'default' => "(function($){\n/* standard on load code goes here with $ prefix */\n})(jQuery);"
            ),
    )
);

/* maintenance */
$this->sections[] = array(
    'icon'      => 'el el-icon-warning-sign',
    'title'     => __('Maintenance Mode', 'jakobian'),
    'desc'      => __('Basic maintenance mode', 'jakobian'),
    'fields'    => array(
        array(
            'id'        => 'maintenance_mode',
            'type'      => 'switch',
            'title'     => __('Maintenance mode', 'jakobian'),
            'subtitle'  => __('Enable maintenance mode.', 'jakobian'),
             'desc'  => __('Check if you want to enable the default wordpress maintenance mode.', 'jakobian'),
            'default'   => false,
            ),
        )
);


?>