<?php 

/**
* @package Jakobian enqueued scripts
* @since Jakobian 1.0
*
*/

/**
    Load needed scripts
**/

function Jakobian_scripts() {

	wp_enqueue_script('Jakobian-modernizr',      JAKOBIAN_JS_URI . '/modernizr.min.js', 	array(), '2.8.3', true);
	wp_enqueue_script('Jakobian-bootstrapjs',    JAKOBIAN_JS_URI . '/bootstrap.min.js', 	array('jquery'), '3.3.4', true);
	// jquery.nicescroll + WOW.js
	wp_enqueue_script('Jakobian-plugins',        JAKOBIAN_JS_URI . '/plugins.min.js', 	array(), '1.1.0', true);
	wp_enqueue_script('Jakobian-scripts',   	  JAKOBIAN_JS_URI . '/scripts.min.js', 	array(), '1.1.0', true);

	if ( is_singular() && wp_attachment_is_image() ) {
		wp_enqueue_script('keyboard-image-navigation',   JAKOBIAN_JS_URI . '/keyboard-image-navigation.js');
	}

	if ( (!is_admin()) && is_singular() && comments_open() && !is_front_page() && get_option('thread_comments')) { 
		wp_enqueue_script( 'comment-reply' ); 
	}

	// We dont need these in Frontpage
	if (!is_home()) { 
		wp_enqueue_script('Jakobian-prettyphoto',     		JAKOBIAN_JS_URI  . '/jquery.prettyPhoto.min.js',  array('jquery'), '3.1.6', true );
		wp_enqueue_style ('Jakobian-prettyphoto-css',   	JAKOBIAN_CSS_URI . '/prettyPhoto.min.css');
	}

	// Animate.css - font-awesome
	wp_enqueue_style('Jakobian-all-css',   		JAKOBIAN_CSS_URI 	. '/all.min.css');
	// Load Bootstrap
	wp_enqueue_style('Jakobian-bootstrap', 		JAKOBIAN_CSS_URI   . '/bootstrap.min.css');
	// Load main stylesheet
	wp_enqueue_style( 'Jakobian-style', get_stylesheet_uri() );
}

add_action('wp_enqueue_scripts', 'Jakobian_scripts');


function Jakobian_IE() {
	global $wp_scripts;
	wp_enqueue_script( 'Jakobian-html5shiv', 		JAKOBIAN_JS_URI 	. '/html5shiv.js', array(), '3.7.2', false );
	$wp_scripts->add_data( 'Jakobian-html5shiv', 'conditional', 'lt IE 9' );
}
add_action( 'wp_enqueue_scripts', 'Jakobian_IE' );
